<!doctype html>
<html lang="en">
<head>
  <meta charset="utf-8"/>
  <link rel="stylesheet" type="text/css" href="https://fonts.googleapis.com/css?family=Noto+Sans" />
<title>notcurses</title>
<!-- Global site tag (gtag.js) - Google Analytics -->
<script async src="https://www.googletagmanager.com/gtag/js?id=UA-11557335-1"></script>
<script>
  window.dataLayer = window.dataLayer || [];
  function gtag(){dataLayer.push(arguments);}
  gtag('js', new Date());
  gtag('config', 'UA-11557335-1');
</script>
</head>
<body>
  <div style="text-align:center;font-size:large;">
   <a href="https://github.com/dankamongmen/notcurses">github</a>
   <a href="https://github.com/dankamongmen/notcurses/issues">issues</a>
   <a href="https://nick-black.com/htp-notcurses.pdf">book</a>
   <a href="https://nick-black.com/dankwiki/index.php/Notcurses">dankwiki</a>
   <a href="html/index.html">doxygen</a>
   <a href="https://drone.dsscaw.com:4443/dankamongmen/notcurses/">drone</a>
   <a href="https://repology.org/project/notcurses/versions">repology</a>
   <a href="https://www.youtube.com/watch?v=dcjkezf1ARY">video</a>
  </div>
  <div style="text-align:center;font-size:medium;">
    <a href="https://github.com/dankamongmen/notcurses/blob/master/USAGE.md">USAGE</a>
    <a href="https://github.com/dankamongmen/notcurses/blob/master/NEWS.md">NEWS</a>
    <a href="https://github.com/dankamongmen/notcurses/blob/master/TERMINALS.md">TERMINALS</a>
    <a href="https://github.com/dankamongmen/notcurses/blob/master/INSTALL.md">INSTALL</a>
    <a href="https://github.com/dankamongmen/notcurses/blob/master/doc/HACKING.md">HACKING</a>
  </div>
  <hr>
  <div style="float:right;">
   <a href="https://repology.org/project/notcurses/versions">
    <img src="https://repology.org/badge/vertical-allrepos/notcurses.svg" alt="Packaging status">
   </a>
  </div>
  <iframe align="right" width="560" height="315" src="https://www.youtube.com/embed/dcjkezf1ARY" frameborder="0" allow="accelerometer; autoplay; clipboard-write; encrypted-media; gyroscope; picture-in-picture" allowfullscreen></iframe>
  <h2><a href="https://nick-black.com/dankwiki/index.php/Notcurses">notcurses</a> manual pages (<a href="https://github.com/dankamongmen/notcurses/releases/tag/v2.4.2">v2.4.2</a>)</h2>
  <a href="notcurses.3.html">notcurses(3)</a>—a blingful TUI library<br/>
  <h3>Executables (section 1)</h3>
  <a href="ncls.1.html">ncls</a>—list files, displaying multimedia along with them<br/>
  <a href="ncneofetch.1.html">ncneofetch</a>—generate low-effort posts for r/unixporn<br/>
  <a href="ncplayer.1.html">ncplayer</a>—renders images and video to a terminal<br/>
  <a href="nctetris.1.html">nctetris</a>—Tetris in a terminal<br/>
  <a href="notcurses-demo.1.html">notcurses-demo</a>—shows off some notcurses features<br/>
  <a href="notcurses-info.1.html">notcurses-info</a>—print information about the running terminal<br/>
  <a href="notcurses-input.1.html">notcurses-input</a>—reads and decodes input events<br/>
  <a href="notcurses-tester.1.html">notcurses-tester</a>—unit test driver<br/>
  <a href="ncdirect-pydemo.1.html">ncdirect-pydemo</a>—validates the Python direct-mode wrappers<br/>
  <a href="notcurses-pydemo.1.html">notcurses-pydemo</a>—validates the Python wrappers<br/>
  <h3>C library (section 3)</h3>
  <a href="notcurses_capabilities.3.html">notcurses_capabilities</a>—runtime capability detection<br/>
  <a href="notcurses_cell.3.html">notcurses_cell</a>—operations on <tt>nccell</tt> objects<br/>
  <a href="notcurses_channels.3.html">notcurses_channels</a>—operations on the <tt>channel</tt> type<br/>
  <a href="notcurses_core.3.html">notcurses_core</a>—linking against a minimal Notcurses<br/>
  <a href="notcurses_direct.3.html">notcurses_direct</a>—minimal notcurses instances for styling text<br/>
  <a href="notcurses_fade.3.html">notcurses_fade</a>—fading and pulsing for <tt>ncplane</tt>s<br/>
  <a href="notcurses_fds.3.html">notcurses_fds</a>—dumping file descriptors/subprocesses to <tt>ncplane</tt>s<br/>
  <a href="notcurses_init.3.html">notcurses_init</a>—initialization<br/>
  <a href="notcurses_input.3.html">notcurses_input</a>—collecting input<br/>
  <a href="notcurses_lines.3.html">notcurses_lines</a>—drawing lines and boxes on <tt>ncplane</tt>s<br/>
  <a href="notcurses_menu.3.html">notcurses_menu</a>—menus on the top or bottom rows<br/>
  <a href="notcurses_metric.3.html">notcurses_metric</a>—fixed-width formatting with metric suffixes<br/>
  <a href="notcurses_multiselector.3.html">notcurses_multiselector</a>—high-level widget for selecting items from a set<br/>
  <a href="notcurses_output.3.html">notcurses_output</a>—drawing text on <tt>ncplane</tt>s<br/>
  <a href="notcurses_palette.3.html">notcurses_palette</a>—operations on notcurses palettes<br/>
  <a href="notcurses_plane.3.html">notcurses_plane</a>—operations on <tt>ncplane</tt> objects<br/>
  <a href="notcurses_plot.3.html">notcurses_plot</a>—drawing histograms and lineplots<br/>
  <a href="notcurses_progbar.3.html">notcurses_progbar</a>—drawing progress bars<br/>
  <a href="notcurses_reader.3.html">notcurses_reader</a>—high-level widget for collecting input<br/>
  <a href="notcurses_reel.3.html">notcurses_reel</a>—high-level widget for hierarchical data<br/>
  <a href="notcurses_refresh.3.html">notcurses_refresh</a>—refresh an externally-damaged display<br/>
  <a href="notcurses_render.3.html">notcurses_render</a>—sync the physical display to a virtual pile<br/>
  <a href="notcurses_selector.3.html">notcurses_selector</a>—high-level widget for selecting one item from a set<br/>
  <a href="notcurses_stats.3.html">notcurses_stats</a>—notcurses runtime statistics<br/>
  <a href="notcurses_stdplane.3.html">notcurses_stdplane</a>—acquire the standard <tt>ncplane</tt><br/>
  <a href="notcurses_stop.3.html">notcurses_stop</a>—collapse the context<br/>
  <a href="notcurses_tabbed.3.html">notcurses_tabbed</a>—tabbed interface widget<br/>
  <a href="notcurses_tree.3.html">notcurses_tree</a>—line-based widget for hierarchical data<br/>
  <a href="notcurses_util.3.html">notcurses_util</a>—portable utility functions<br/>
  <a href="notcurses_visual.3.html">notcurses_visual</a>—operations on <tt>ncvisual</tt> objects<br/>
<div style="clear:both">
 <br/><br/>
 <center>
  <small>
    “Profound changes are imminent in the ancient craft of the Beautiful.”
    © 2019-2021 <a href="mailto:nickblack@linux.com">nickblack@linux.com</a>
  </small>
 </center>
</div>
</body>
</html>
